Subject: RE: A modest proposal - allow the ID repository to hold xml

From: Vernon Schryver <[email-masked]>
Date: Wed, 3 Sep 2003 08:28:34 -0600 (MDT)

> From: "Rosen, Brian" <[email-masked]>

> Are you suggesting that we would need a new working group
> to allow 2629 conformant xml to be optionally submitted with
> text to the I-D archive?

Need?--I don't know.
Would inevitably have?--certainly.

> Why?

It's in the modern Tao of the IETF.

> I'm not proposing any new RFC.  Guidelines to authors is not
> an RFC.  2629 is an RFC.

Actually, the last time I looked RFC 22223 is an RFC.
There is also an I-D in the pipeline to update the classic
"Instructions to RFC Authors" series.

> The xml2rfc tool, which is not the only tool around, but it's
> a good one, puts a 70 line style header in front of the text,
> but then has almost no other "bloat" that I can see.  Is that
> too much?
>
> I don't think there is any "cruft" at all in the xml described
> in RFC2629.
>
> Now, to the charge that this is feeping creaturism, we must
> admit guilt.  I think there is some value in this proposal.
> Many seem to agree.

I don't like the idea of XML, postscript, or any other standard
de jure mark-up language for standards documents, but that's not my point.

The nature of modern IETF is such that those who are most enthused
about XML will inevitably include many who see no other opportunity
for personally Contributing To The Standards Process and perhaps
getting their names into the RFC Index.  They will not tolerate
letting Marshall Rose alone decide what XLM features can be allowed
via RFC 2629.  They will point out that RFC 2629 is more than four
years old and demand that it be updated to address the latest
microstupid standard.  They'll also point out that "Informational"
is a weak category for something so important to the IETF.  Once
the camel's nose of updating RFC 2629 is in the tent, we'll have
a 3 year (if we're lucky) process that will produce something that
will make Microsoft's XML mail cruft look tiny, simple, and elegant.

To put my point another way, if you allow XML, you will end up
requiring the RFC Editor to accept the output of every mark-up
tool that exists or will ever exist, regardless of the 
restrictinos imposed by RFC 2629.  Please think what that really
means.  You might as well forget ASCII and declare that all future
I-Ds and RFCs must be written the then current MS Word format.

Vernon Schryver    [email-masked]

---

From: "Rosen, Brian" <[email-masked]>
Date: Wed, 3 Sep 2003 10:02:03 -0400

Vernon

Why?

Brian

> -----Original Message-----
> From: Vernon Schryver [mailto:[email-masked]]
> Sent: Wednesday, September 03, 2003 9:16 AM
> To: [email-masked]
> Subject: Re: A modest proposal - allow the ID repository to hold xml
> 
> 
> > From: Lyndon Nerenberg <[email-masked]>
> 
> > ...
> > [*] The critical aspect is that the DTD *must* be kept 
> simple. If the DTD
> > evolves into a Turing machine with Perl-like syntax we can just
> > acknowledge that it's time to shut down the IETF and go 
> home. I cling to
> > the forlorn hope that people still know - and more importantly,
> > understand - what the 'E' in IETF stands for.
> 
> I don't know about shutting down the IETF, but I do know that in
> this century you've stated the compelling reason to run screaming
> from this set of proposals.
> 
> Have you looked at the 250 lines of XML cruft that Microsoft thinks
> are required to accompany a 1 word mail message today?
> 
> Have you ever glanced at the incredibly bloated and broken HTML
> that most HTML mark-up tools produce?
> 
> Now recall the galloping freeping creaturism of the last 3 
> I-Ds you've read.
> 
> A "Turing machine with Perl-like syntax" would be incomparably simpler
> and cleaner than the result of the 5 years work of the new working
> group in the new area.  (What--you don't realize that a new working
> group would be required?)
> 
> 
> _______________________________________________
> This message was passed through 
> [email-masked], which is a sublist of 
> [email-masked]. Not all messages are passed. Decisions on what 
> to pass are made solely by Raffaele D'Albenzio.
>